com.io7m.r2.meshes.binary.r2mb

## Interface R2MBHeaderWritableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    R2MBHeaderType
  All Known Implementing Classes:
    R2MBHeaderByteBuffered

      public interface R2MBHeaderWritableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The writable interface to values of the `R2MBHeaderWritableType` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setMagic0(byte x)` Set the value of the `magic0` field
    `void` | `setMagic1(byte x)` Set the value of the `magic1` field
    `void` | `setMagic2(byte x)` Set the value of the `magic2` field
    `void` | `setMagic3(byte x)` Set the value of the `magic3` field
    `void` | `setTriangleCount(int x)` Set the value of the `triangle_count` field
    `void` | `setVersion(int x)` Set the value of the `version` field
    `void` | `setVertexCount(int x)` Set the value of the `vertex_count` field

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### setMagic0

          void setMagic0(byte x)

      Set the value of the `magic0` field
      Parameters:
        `x` - The new value

    - #### setMagic1

          void setMagic1(byte x)

      Set the value of the `magic1` field
      Parameters:
        `x` - The new value

    - #### setMagic2

          void setMagic2(byte x)

      Set the value of the `magic2` field
      Parameters:
        `x` - The new value

    - #### setMagic3

          void setMagic3(byte x)

      Set the value of the `magic3` field
      Parameters:
        `x` - The new value

    - #### setVersion

          void setVersion(int x)

      Set the value of the `version` field
      Parameters:
        `x` - The new value

    - #### setVertexCount

          void setVertexCount(int x)

      Set the value of the `vertex_count` field
      Parameters:
        `x` - The new value

    - #### setTriangleCount

          void setTriangleCount(int x)

      Set the value of the `triangle_count` field
      Parameters:
        `x` - The new value

Copyright © 2016 <code@io7m.com> http://io7m.com